<?php
$pageTitle = 'Category List';
require_once 'config.php';

// Fetch all categories
$stmt = $pdo->query("SELECT * FROM categories ORDER BY name");
$categories = $stmt->fetchAll();

ob_start();
?>

<div class="bg-white p-6 rounded-lg shadow-md">
    <div class="flex justify-between items-center mb-4">
        <h3 class="text-lg font-semibold text-gray-700">Categories</h3>
        <a href="add_category.php" class="bg-orange-500 text-white px-4 py-2 rounded hover:bg-orange-600">Add New Category</a>
    </div>
    
    <table class="min-w-full">
        <thead>
            <tr>
                <th class="text-left py-2 px-3 bg-gray-100">Name</th>
                <th class="text-left py-2 px-3 bg-gray-100">Description</th>
                <th class="text-left py-2 px-3 bg-gray-100">Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($categories as $category): ?>
            <tr>
                <td class="py-2 px-3"><?php echo htmlspecialchars($category['name']); ?></td>
                <td class="py-2 px-3"><?php echo htmlspecialchars($category['description']); ?></td>
                <td class="py-2 px-3">
                    <a href="edit_category.php?id=<?php echo $category['id']; ?>" class="text-blue-500 hover:text-blue-700 mr-2">Edit</a>
                    <a href="delete_category.php?id=<?php echo $category['id']; ?>" class="text-red-500 hover:text-red-700" onclick="return confirm('Are you sure you want to delete this category?')">Delete</a>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<?php
$pageContent = ob_get_clean();
require_once 'template.php';
?>