<?php
require_once 'config.php';

$pageTitle = 'Delete Product';
$message = '';

// Start output buffering
ob_start();

if (isset($_GET['id']) && is_numeric($_GET['id'])) {
    $product_id = $_GET['id'];
    
    // Perform the delete operation
    $stmt = $pdo->prepare("DELETE FROM products WHERE id = ?");
    
    if ($stmt->execute([$product_id])) {
        $message = "Product deleted successfully.";
    } else {
        $message = "Error deleting product.";
    }
} else {
    $message = "Invalid product ID.";
}

// Store the referring page
$referrer = $_SERVER['HTTP_REFERER'] ?? 'product_list.php';

// Output content
?>

<div class="bg-white p-6 rounded-lg shadow-md">
    <h3 class="text-lg font-semibold text-gray-700 mb-4">Delete Product</h3>
    
    <?php if ($message): ?>
        <div class="bg-blue-100 border-l-4 border-blue-500 text-blue-700 p-4 mb-4" role="alert">
            <p><?php echo $message; ?></p>
        </div>
    <?php endif; ?>
    
    <a href="<?php echo htmlspecialchars($referrer); ?>" class="bg-gray-500 hover:bg-gray-700 text-white font-bold py-2 px-4 rounded">
        Back to Products
    </a>
</div>

<script>
    // Redirect after a short delay
    setTimeout(function() {
        window.location.href = '<?php echo htmlspecialchars($referrer); ?>';
    }, 2000); // Redirect after 2 seconds
</script>

<?php
$pageContent = ob_get_clean();

// Include the template
require_once 'template.php';
?>