<?php
$pageTitle = 'Upload Company Logo';
require_once 'config.php';

$message = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_FILES['logo']) && $_FILES['logo']['error'] == 0) {
        $allowed = array('jpg' => 'image/jpeg', 'png' => 'image/png', 'gif' => 'image/gif');
        $filename = $_FILES['logo']['name'];
        $filetype = $_FILES['logo']['type'];
        $filesize = $_FILES['logo']['size'];

        // Verify file extension
        $ext = pathinfo($filename, PATHINFO_EXTENSION);
        if (!array_key_exists($ext, $allowed)) {
            $message = "Error: Please select a valid file format.";
        }

        // Verify file size - 5MB maximum
        $maxsize = 5 * 1024 * 1024;
        if ($filesize > $maxsize) {
            $message = "Error: File size is larger than the allowed limit.";
        }

        // Verify MYME type of the file
        if (in_array($filetype, $allowed)) {
            // Check whether file exists before uploading it
            if (file_exists("uploads/company_logo." . $ext)) {
                unlink("uploads/company_logo." . $ext);
            }
            
            if (move_uploaded_file($_FILES['logo']['tmp_name'], "uploads/company_logo." . $ext)) {
                $message = "Your file was uploaded successfully.";
            } else {
                $message = "Error: There was a problem uploading your file. Please try again.";
            }
        } else {
            $message = "Error: There was a problem uploading your file. Please try again.";
        }
    } else {
        $message = "Error: " . $_FILES['logo']['error'];
    }
}

ob_start();
?>

<div class="bg-white p-6 rounded-lg shadow-md">
    <h2 class="text-2xl font-bold mb-4">Upload Company Logo</h2>

    <?php if ($message): ?>
        <div class="bg-blue-100 border-l-4 border-blue-500 text-blue-700 p-4 mb-4" role="alert">
            <p><?php echo $message; ?></p>
        </div>
    <?php endif; ?>

    <form action="" method="POST" enctype="multipart/form-data">
        <div class="mb-4">
            <label for="logo" class="block text-gray-700 text-sm font-bold mb-2">Select logo to upload:</label>
            <input type="file" name="logo" id="logo" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline">
        </div>
        <div class="flex items-center justify-between">
            <button type="submit" class="bg-orange-500 hover:bg-orange-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
                Upload Logo
            </button>
        </div>
    </form>
</div>

<?php
$pageContent = ob_get_clean();
require_once 'template.php';
?>